| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csutil/snprintf.h File Reference

Implementations of [v][a]snprintf(). More...

`#include <stdarg.h>`
`#include "csextern.h"`

Go to the source code of this file.

## Functions
int | cs_asprintf (char **, const char *,...)
| Portable implementation of asprintf().
int | cs_snprintf (char *buf, size_t bufSize, const char *format,...)
| Portable implementation of snprintf().
int | cs_vasprintf (char **, const char *, va_list)
| Portable implementation of asprintf(). Remarks: Like asprintf(), the string was allocated with cs_malloc() and needs to be cs_freed with cs_free(). See also: Notes about string formatting in Crystal Space Portable implementation of vasprintf().
int | cs_vsnprintf (char *, size_t, const char *, va_list)
| Portable implementation of vsnprintf().

## Detailed Description

Implementations of [v][a]snprintf().

Definition in file snprintf.h.